Subject: Re: [RFC] building postgres with meson -v8

From: Andres Freund <[email-masked]>
Date: Fri, 14 Apr 2023 09:06:07 -0700

Hi,

On 2023-04-14 11:58:42 -0400, Greg Stark wrote:
> On Wed, 11 May 2022 at 06:19, Peter Eisentraut
> <[email-masked]> wrote:
> >
> > After that, these configure options don't have an equivalent yet:
> >
> > --enable-profiling
> 
> Afaics this still doesn't exist? Is there a common idiom to enable
> this? Like, if I add in something to cflags is that enough?

Yes. Or, well, you might also need to specify it when linking.

> I seem to recall we had some hack to actually get each backend's gmon.out to
> not step on each other's which needed an explicit flag to enable?

I think that's enabled by default in gcc these days, if supported by the
platform?

TBH, I really don't see the point of this style of profiling. It doesn't
provide an accurate view of where time is spent. You're much better off using
performance counter driven profiling with perf et al.

Greetings,

Andres Freund